@import "src/scss/variables";

:host {

  ::ng-deep .mat-dialog-title {
    padding: 0 25px 10px 25px;
    border-bottom: 1px solid $light-gray;
    margin: 0 -22px;
  }

  .popup-container {
    padding: 24px;
  }

  .wrapper {
    margin: 50px 0 30px 0;
  }

  ::ng-deep {
    .highcharts-container {
      width: auto !important;
      height: auto !important;
      overflow-x: auto !important;
    }

    .highcharts-credits {
      display: none !important;
    }

    .mat-dialog-actions {
      button {
        &:first-of-type {
          @media (min-width: 450px) {
            margin-right: 20px;
          }
        }
      }

      @media (max-width: 450px) {
        display: block;

        &>button {
          display: block;
          margin: 10px auto;
        }
      }
    }
  }
}
